//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-dependency-management-plugin/src/main/groovy/org/openscm/kundo/strategy/KundoLoadDependenciesStrategy.groovy
//

package org.openscm.kundo.strategy;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.common.recipe.*;

/**
 * Kundo Load Dependencies Strategy
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to create scoped paths from the dependencies of a project
specified in a kundo recipe file.

<p>The load dependencies strategy reads dependency information from a kundo recipe.groovy file.
Using that information it generates a separate path for each scope support by the
Maven Ant Tasks (currently: compile,runtime,test,provided ). It the sets that path reference in the ant
project with the name of the artifact being built suffixed with the scope and .classpath. This can then be
retrieved at any time using the Build Context.

This is the default strategy used by kundo, to enable another strategy use the project.helper.strategy proeprty.</p>
 */
public class KundoLoadDependenciesStrategy
    extends AbstractKundoDependenciesStrategy
    implements LoadDependenciesStrategy
{
    private Map indexedProps = null;
    public Map getIndexedProps() {
        throw new InternalError("Stubbed method");
    }

    private KundoLoadDependenciesStrategy(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public KundoLoadDependenciesStrategy(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of aggregated properties objects containing additional classpath entries.
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * delegate implementation method to be called by doExecute
     */
    public void doLoadDependencies() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
